Publishing details

Changelog

wicd (1.7.4+tb2-6) unstable; urgency=low

  * Set "Rules-Requires-Root: no".
  * Add debian/duck-override for "moved to" false positive on
    bugs.debian.org.
  * Declare compliance with Debian Policy 4.1.4. (No changes needed.)
  * Apply patch by Wasif Malik to fix "AttributeError in keypress():
    'Text' object has no attribute 'keypress'" in wicd-curses. Thanks
    Wasif! (Closes: #814090)
  * Update Vcs-* headers for move to salsa.debian.org.
  * Bump debhelper compatibility level to 11.
    + Update versioned debhelper build-dependency accordingly.
  * Fix several spelling errors in packaging found by Lintian.
  * Install upstream .service files, but patch them to fix multiple
    lintian warnings and to not disconnect the network connection on
    service stop. (Closes: #789567)
  * Replace dependency on python-gobject with python-gobject-2. (Closes:
    #890179)
  * Replace gksu and gksudo with pkexec and su-to-root. (Closes: #885546)
    + Update and rename patch 32-prefer_gksu.patch accordingly.
    + Recommend policykit-1 or menu (or kde-runtime for kdesu) instead of
      gksu.
  * Add a DEP12 upstream metadata file.
  * Add a note to /etc/default/wicd that the file is ignored if systemd is
    used as init system.

 -- Axel Beckert <email address hidden>  Mon, 23 Apr 2018 01:10:23 +0200

Available diffs

Builds

Built packages

Package files